<template>
  <div
    @mouseenter="hover = true"
    @mouseleave="hover = false"
    class="select-none cursor-pointer"
  >
    <div
      class="flex flex-row justify-around p-3 items-center rounded-xl"
      :class="{ 'bg-gray-100': hover }"
      v-ripple
    >
      <div>
        <img
          :src="require(`@/assets/${imageName}`)"
          class="w-14"
          :class="{ '': hover && enableHover }"
        />
      </div>
      <div>
        <div class="text-2xl font-bold text-gray-700">
          {{ matCompSav.nom }}
        </div>
        <div v-if="getInfoSubtitle()" class="text-sm text-gray-500 italic">
          <ICountUp :endVal="getInfoSubtitle().nb" />
          {{ getInfoSubtitle().text }}
        </div>
      </div>
      <div v-if="!hideUpdate == true">
        <v-btn
          icon
          color="primary"
          @click.stop="onUpdateClick"
          class="updateMatCompSav"
        >
          <v-icon>mdi-pencil</v-icon>
        </v-btn>
      </div>
    </div>
  </div>
</template>

<script>
import ICountUp from "vue-countup-v2";

export default {
  name: "MatCompSavCardItem",
  components: {
    ICountUp,
  },
  emit: ["onUpdateClick"],

  props: {
    matCompSav: {},
    enableHover: { type: Boolean, default: true },
    hideUpdate: {
      type: Boolean,
      default: false,
    },
    hideInfoClasse: {
      type: Boolean,
      default: true,
    },
    imageName: String,
  },

  data() {
    return {
      hover: false,
    };
  },
  methods: {
    onAddClick() {
      this.$emit("on-add-click", this.matCompSav);
    },
    onUpdateClick() {
      this.$emit("onUpdateClick", this.matCompSav);
    },
    getCardItemImage() {
      
      switch (this.matCompSav.typeEvaluations) {
        case "cotes":
          return require("@/assets/evaluer.svg");

        case "acquis":
          return require("@/assets/abc-block.svg");

        default:
          return false;
      }
    },
    getInfoSubtitle() {
      const ref = this.$parent.$attrs.matCompSav;
      switch (ref) {
        case "matiere":
          return this.$store.getters.getInfoByMatiere(this.matCompSav);
        case "competence":
          return this.$store.getters.getInfoByCompetence(this.matCompSav);
        case "classe":
          return this.$store.getters.getInfoByClasse(this.matCompSav);
        case "bulletin":
          return this.$store.getters.getInfoByBulletin(this.matCompSav);
        case "bulletinEleve":
          return this.$store.getters.getInfoByBulletinAndEleve(
            this.matCompSav,
            this.$route.params.eleveid
          );
        default:
          break;
      }
    },
  },
};
</script>

